Subject: Re: "-w deadline" bug in ping/iputils- i will provide fix if you can tell me where owner of iputils is. Thanks.

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Tue, 10 Jan 2012 00:45:09 +0900

Cloutier, Joseph (Joseph) wrote:
>
>
> -----Original Message-----
> From: Cloutier, Joseph (Joseph)
> Sent: Wednesday, January 04, 2012 3:55 PM
> To: 'Linus Torvalds'; [email-masked]'
> Cc: [email-masked]'
> Subject: RE: "-w deadline" bug in ping/iputils- i will provide fix if
> you can tell me where owner of iputils is. Thanks.
>
>
> [email-masked].
>
> I have made a fix for the "-w deadline" issue to iputils-s20101006.tar.bz2.  There are 4 places in the code with the fix, identified by my name, Joe Cloutier- ALU.
>
> There are 2 bugs fixed:
> *       For flood pings if the "-w" option is set then more pings than "-c x" are sent out.
> *       The "-w x" timer should be set after he last "-c x" ping is sent out.
>
> Linux flood ping is an invaluable tool for us to use when trouble shooting wireless network problems.  It is a very fast way to verify things like PVC allocations, duplex miss-matches, fiber problems, egress queue settins, etc.
>
> I have modified 2 ping versions (one an older one prior to the shared library change many years ago, and then Redhat 8.0 release), but my Management does not my copies released to our Customers because the code is "unsupported".
>
> If you would accept these changes then I can direct our Customers to use the official Linux flood ping option.
>
> I have tested the code using Linux release 14 and the latest gcc compiler.  It is doing what it should now.
>
> Thanks, Joe Cloutier
>
> Created with tar cjvf ...

I could not find any patches/tarballs unfortunately.
Would you resend it please?  Thank you.

--yoshfuji